libzypp 17.37.10

UrlUtils.cc File Reference
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/url/UrlUtils.h>`
`#include <stdlib.h>`
`#include <cctype>`
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::url
| Url details namespace.

## Functions
std::string | zypp::url::encode (const std::string &str, const std::string &safe="", EEncoding eflag=E_DECODED) ZYPP_API
| Encodes a string using URL percent encoding.
std::string | zypp::url::decode (const std::string &str, bool allowNUL=false) ZYPP_API
| Decodes a URL percent encoded string.
std::string | zypp::url::encode_octet (const unsigned char c) ZYPP_API
| Encode one character.
int | zypp::url::decode_octet (const char *hex) ZYPP_API
| Decode one character.
void | zypp::url::split (ParamVec &pvec, const std::string &pstr, const std::string &psep)
| Split into a parameter vector.
void | zypp::url::split (ParamMap &pmap, const std::string &pstr, const std::string &psep, const std::string &vsep, EEncoding eflag=E_ENCODED)
| Split into a parameter map.
std::string | zypp::url::join (const ParamVec &pvec, const std::string &psep)
| Join parameter vector to a string.
std::string | zypp::url::join (const ParamMap &pmap, const std::string &psep, const std::string &vsep, const std::string &safe, EEncoding eflag)
| Join parameter map to a string.